- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WP6GraphicsCachedFileDataPacket Class Reference

`#include <WP6GraphicsCachedFileDataPacket.h>`

Inheritance diagram for WP6GraphicsCachedFileDataPacket:

## Public Member Functions
| WP6GraphicsCachedFileDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize)
| ~WP6GraphicsCachedFileDataPacket ()
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP6Listener *) const
const librevenge::RVNGBinaryData * | getBinaryObject () const
Public Member Functions inherited from WP6PrefixDataPacket
| WP6PrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP6PrefixDataPacket ()
virtual WP6SubDocument * | getSubDocument () const
unsigned | getDataSize () const

## Private Member Functions
| WP6GraphicsCachedFileDataPacket (const WP6GraphicsCachedFileDataPacket &)
WP6GraphicsCachedFileDataPacket & | operator= (const WP6GraphicsCachedFileDataPacket &)

## Private Attributes
int | m_id
librevenge::RVNGBinaryData * | m_object
unsigned char * | m_data

## Additional Inherited Members
Static Public Member Functions inherited from WP6PrefixDataPacket
static WP6PrefixDataPacket * | constructPrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP6PrefixIndice *prefixIndice)
Protected Member Functions inherited from WP6PrefixDataPacket
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

WP6GraphicsCachedFileDataPacket::WP6GraphicsCachedFileDataPacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize
| ) |  |

WP6GraphicsCachedFileDataPacket::~WP6GraphicsCachedFileDataPacket | ( |  | ) |

WP6GraphicsCachedFileDataPacket::WP6GraphicsCachedFileDataPacket | ( | const WP6GraphicsCachedFileDataPacket & |  | ) |
| private

## Member Function Documentation

void WP6GraphicsCachedFileDataPacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| virtual

Implements WP6PrefixDataPacket.

const librevenge::RVNGBinaryData* WP6GraphicsCachedFileDataPacket::getBinaryObject | ( |  | ) | const
| inline

WP6GraphicsCachedFileDataPacket& WP6GraphicsCachedFileDataPacket::operator= | ( | const WP6GraphicsCachedFileDataPacket & |  | ) |
| private

void WP6GraphicsCachedFileDataPacket::parse | ( | WP6Listener * |  | ) | const
| inline virtual

Reimplemented from WP6PrefixDataPacket.

## Member Data Documentation

unsigned char* WP6GraphicsCachedFileDataPacket::m_data
| private

Referenced by _readContents(), and ~WP6GraphicsCachedFileDataPacket().

int WP6GraphicsCachedFileDataPacket::m_id
| private

Referenced by _readContents().

librevenge::RVNGBinaryData* WP6GraphicsCachedFileDataPacket::m_object
| private

Referenced by _readContents(), getBinaryObject(), and ~WP6GraphicsCachedFileDataPacket().

The documentation for this class was generated from the following files:

- WP6GraphicsCachedFileDataPacket.h
- WP6GraphicsCachedFileDataPacket.cpp